<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   width="262" height="220"
			   title="Relatórios Vendas por Margem"
			   close="titlewindow1_closeHandler(event)" 
			   xmlns:visual="br.com.desenv.framework.component.visual.*" 
			   xmlns:component="br.com.desenv.nepalign.view.component.*"> 
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations >
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			import mx.validators.Validator;
			
			import br.com.desenv.framework.util.IgnReportUtil;
			

			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
		
			protected function btnImprimir_clickHandler():void
			{
				try
				{
					if(ignTextInputDateDataInicial.text == "")
						throw new Error("Informe a Data Inicial");
					if(ignTextInputDateDataFinal.text == "")
						throw new Error("Informe a Data Final");
					
					var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioPedidoVendaMargem"
					var acaoMethod:String = "gerarRelatorio";
					var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));  
					var param:URLVariables = new URLVariables(); 	
					
					param.classe = classe;
					param.acao = acaoMethod;
					param.empresas = getStringListEmpresa;
					param.dataFinal = ignTextInputDateDataFinal.text == "" ? 0 : ignTextInputDateDataFinal.text;
					param.dataInicial = ignTextInputDateDataInicial.text == "" ? 0 : ignTextInputDateDataInicial.text;
					
					/*urlReq.data = param;
					  
					navigateToURL(urlReq, "_blank");*/
					new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				}
				catch(e:Error)
				{
					Alert.show(e.message, "ERRO");
				}
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			private function limparListaCampo(event:MouseEvent): void
			{
				ignTextInputDateDataInicial.text = "";
				ignTextInputDateDataFinal.text = "";	
			}
			
			protected function buttonImprimir_clickHandler(event:MouseEvent):void
			{
				if(validar(event))
					btnImprimir_clickHandler();
			}
				
			public function get getStringListEmpresa():String
			{
				var stringBuffer:String = "";
				if(this.comboMultipleSelect.getEmpresasSelecionadas.length > 0)
				{
				for(var i:int = 0; i < this.comboMultipleSelect.getEmpresasSelecionadas.length; i++)
				{
					var empresaFisica:Object = this.comboMultipleSelect.getEmpresasSelecionadas.getItemAt(i);
					stringBuffer += empresaFisica.id.toString();
					
					if((i + 1) < this.comboMultipleSelect.getEmpresasSelecionadas.length)
						stringBuffer += ";";
				}
				}
				else
				{
					this.comboMultipleSelect.selecionarTudo();
					var todasEmpresas:ArrayCollection = new ArrayCollection();
					todasEmpresas = this.comboMultipleSelect.getEmpresasSelecionadas; 
					for(var i:int = 0; i < todasEmpresas.length; i++)
					{
						var empresa:Object = todasEmpresas.getItemAt(i);
						stringBuffer += empresa.id.toString();
						
						if((i + 1) < todasEmpresas.length)
							stringBuffer += ",";
					}
					
				}
				return stringBuffer == "" ? "0" : stringBuffer;
			}
	]]>
	</fx:Script>
	
	<mx:VBox  x="5">
		<mx:Spacer/>		
		<mx:Grid>
			<mx:GridRow>				
				<mx:GridItem styleName="gridValor">
					<component:DsvSelecaoMultipliasEmpresas id="comboMultipleSelect" componentWidth="250" tipoPesquisa="{DsvSelecaoMultipliasEmpresas.LISTAR_APENAS_LOJAS}" empresasExcluir="50,60"/>	
				</mx:GridItem>				
			</mx:GridRow>
		</mx:Grid>
		<mx:Grid>
			<mx:GridRow horizontalAlign="right">
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Data Incial:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoDataMovimentacao" styleName="labelValidacao" text="{ignTextInputDateDataInicial.errorString}"/>
						<visual:IgnTextInputDate id="ignTextInputDateDataInicial" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow horizontalAlign="right">	
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Data Final:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoDataMovimentacaoFinal" styleName="labelValidacao" text="{ignTextInputDateDataFinal.errorString}"/>
						<visual:IgnTextInputDate id="ignTextInputDateDataFinal" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
			</mx:Grid>
		<mx:Spacer height="10"/>
		<mx:Grid>				
			<mx:GridRow>
				<mx:GridItem colSpan="2" horizontalAlign="center" width="255">
					<s:Button id="buttonImprimir"  label="Imprimir" click="buttonImprimir_clickHandler(event)"/>
					<s:Button id="buttonLimpar"  label="Limpar" click="limparListaCampo(event)"/>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</mx:VBox>
</s:TitleWindow>
